import IHttpClient from '../../types/http-client';
import Application from '../../types/input/application';
import IPronunciationsRepo, { ComplexSearchParams, SimpleSearchParams, UserResponseParams } from '../../types/repositories/pronunciations';
export default class PronunciationsRepository implements IPronunciationsRepo {
    private httpClient;
    private application;
    constructor(httpClient: IHttpClient, application: Application);
    simpleSearch({ target, targetTypeSig, targetOwnerSig, ...rest }: SimpleSearchParams): Promise<unknown>;
    complexSearch({ targets, userContext, ...rest }: ComplexSearchParams): Promise<unknown>;
    userResponse({ recordingId, userResponse, userContext, targetOwnerSig, ...rest }: UserResponseParams): Promise<unknown>;
}
